% Support for using sagittal glyphs

#(define (sagittalString names)
    (apply string-append (map (lambda (name)
        (ly:wide-char->utf-8 (+ 61440 (cadr (assoc name sagittalMetrics)))))
        names)))

#(define (sagittalXExtent names)
    (if (null? names) '(0.0 . 0.0)
        (let ((current (caddr (assoc (car names) sagittalMetrics)))
              (others (sagittalXExtent (cdr names))))
        (cons
            (+ (car current) (car others))
            (+ (cdr current) (cdr others))))))

#(define (sagittalYExtent names)
    (if (null? names) '(0.0 . 0.0)
        (let ((current (cdddr (assoc (car names) sagittalMetrics)))
              (others (sagittalYExtent (cdr names))))
        (cons
            (+ (car current) (car others))
            (+ (cdr current) (cdr others))))))

pureAthenianStrings = #'(
    (0 natural)
    (1 rightscrollup)
    (-1 rightscrolldown)
    (2 doublescrollup)
    (-2 doublescrolldown)
    (3 boathookandscrollup)
    (-3 boathookandscrolldown)
    (4 leftbarbup)
    (-4 leftbarbdown)
    (5 rightarcup)
    (-5 rightarcdown)
    (6 leftarcup)
    (-6 leftarcdown)
    (7 arcandscrollup)
    (-7 arcandscrolldown)
    (8 doubleleftbarbup)
    (-8 doubleleftbarbdown)
    (9 barbandarcup)
    (-9 barbandarcdown)
    (10 doublebarbup)
    (-10 doublebarbdown)
    (11 doublearcup)
    (-11 doublearcdown)
    (12 arcandbarbup)
    (-12 arcandbarbdown)
    (13 doublescrolldoubleup)
    (-13 doublescrolldoubledown)
    (14 boathookandscrolldoubleup)
    (-14 boathookandscrolldoubledown)
    (15 leftbarbdoubleup)
    (-15 leftbarbdoubledown)
    (16 rightarcdoubleup)
    (-16 rightarcdoubledown)
    (17 rightbarbdoubleup)
    (-17 rightbarbdoubledown)
    (18 arcandscrolldoubleup)
    (-18 arcandscrolldoubledown)
    (19 doubleleftbarbdoubleup)
    (-19 doubleleftbarbdoubledown)
    (20 barbandarcdoubleup)
    (-20 barbandarcdoubledown)
    (21 doublebarbdoubleup)
    (-21 doublebarbdoubledown)
    (22 rightscrolltripleup)
    (-22 rightscrolltripledown)
    (23 doublescrolltripleup)
    (-23 doublescrolltripledown)
    (24 boathookandscrolltripleup)
    (-24 boathookandscrolltripledown)
    (25 leftbarbtripleup)
    (-25 leftbarbtripledown)
    (26 rightarctripleup)
    (-26 rightarctripledown)
    (27 leftarctripleup)
    (-27 leftarctripledown)
    (28 arcandscrolltripleup)
    (-28 arcandscrolltripledown)
    (29 doubleleftbarbtripleup)
    (-29 doubleleftbarbtripledown)
    (30 barbandarctripleup)
    (-30 barbandarctripledown)
    (31 doublebarbtripleup)
    (-31 doublebarbtripledown)
    (32 doublearctripleup)
    (-32 doublearctripledown)
    (33 arcandbarbtripleup)
    (-33 arcandbarbtripledown)
    (34 doublescrollexup)
    (-34 doublescrollexdown)
    (35 boathookandscrollexup)
    (-35 boathookandscrollexdown)
    (36 leftbarbexup)
    (-36 leftbarbexdown)
    (37 rightarcexup)
    (-37 rightarcexdown)
    (38 rightbarbexup)
    (-38 rightbarbexdown)
    (39 arcandscrollexup)
    (-39 arcandscrollexdown)
    (40 doubleleftbarbexup)
    (-40 doubleleftbarbexdown)
    (41 barbandarcexup)
    (-41 barbandarcexdown)
    (42 doublebarbexup)
    (-42 doublebarbexdown)
)

mixedAthenianStrings = #'(
    (0 natural)
    (1 rightscrollup)
    (-1 rightscrolldown)
    (2 doublescrollup)
    (-2 doublescrolldown)
    (3 boathookandscrollup)
    (-3 boathookandscrolldown)
    (4 leftbarbup)
    (-4 leftbarbdown)
    (5 rightarcup)
    (-5 rightarcdown)
    (6 leftarcup)
    (-6 leftarcdown)
    (7 arcandscrollup)
    (-7 arcandscrolldown)
    (8 doubleleftbarbup)
    (-8 doubleleftbarbdown)
    (9 barbandarcup)
    (-9 barbandarcdown)
    (10 doublebarbup)
    (-10 doublebarbdown)
    (11 doublearcup)
    (-11 doublearcdown)
    (12 arcandbarbup)
    (-12 arcandbarbdown)
    (13 doubleleftbarbdown sharp)
    (-13 doubleleftbarbup flat)
    (14 arcandscrolldown sharp)
    (-14 arcandscrollup flat)
    (15 leftarcdown sharp)
    (-15 leftarcup flat)
    (16 rightarcdown sharp)
    (-16 rightarcup flat)
    (17 leftbarbdown sharp)
    (-17 leftbarbup flat)
    (18 boathookandscrolldown sharp)
    (-18 boathookandscrollup flat)
    (19 doublescrolldown sharp)
    (-19 doublescrollup flat)
    (20 rightscrolldown sharp)
    (-20 rightscrollup flat)
    (21 sharp)
    (-21 flat)
    (22 rightscrollup sharp)
    (-22 rightscrolldown flat)
    (23 doublescrollup sharp)
    (-23 doublescrolldown flat)
    (24 boathookandscrollup sharp)
    (-24 boathookandscrolldown flat)
    (25 leftbarbup sharp)
    (-25 leftbarbdown flat)
    (26 rightarcup sharp)
    (-26 rightarcdown flat)
    (27 leftarcup sharp)
    (-27 leftarcdown flat)
    (28 arcandscrollup sharp)
    (-28 arcandscrolldown flat)
    (29 doubleleftbarbup sharp)
    (-29 doubleleftbarbdown flat)
    (30 barbandarcup sharp)
    (-30 barbandarcdown flat)
    (31 doublebarbup sharp)
    (-31 doublebarbdown flat)
    (32 doublearcup sharp)
    (-32 doublearcdown flat)
    (33 arcandbarbup sharp)
    (-33 arcandbarbdown flat)
    (41 rightscrolldown doublesharp)
    (-41 rightscrollup doubleflat)
    (40 doublescrolldown doublesharp)
    (-40 doublescrollup doubleflat)
    (39 boathookandscrolldown doublesharp)
    (-39 boathookandscrollup doubleflat)
    (38 leftbarbdown doublesharp)
    (-38 leftbarbup doubleflat)
    (37 rightarcdown doublesharp)
    (-37 rightarcup doubleflat)
    (36 leftarcdown doublesharp)
    (-36 leftarcup doubleflat)
    (35 arcandscrolldown doublesharp)
    (-35 arcandscrollup doubleflat)
    (34 doubleleftbarbdown doublesharp)
    (-34 doubleleftbarbup doubleflat)
    (42 doublesharp)
    (-42 doubleflat)
    (43 rightscrollup doublesharp)
    (-43 rightscrolldown doubleflat)
    (44 doublescrollup doublesharp)
    (-44 doublescrolldown doubleflat)
    (45 boathookandscrollup doublesharp)
    (-45 boathookandscrolldown doubleflat)
    (46 leftbarbup doublesharp)
    (-46 leftbarbdown doubleflat)
    (47 rightarcup doublesharp)
    (-47 rightarcdown doubleflat)
    (48 leftarcup doublesharp)
    (-48 leftarcdown doubleflat)
    (49 arcandscrollup doublesharp)
    (-49 arcandscrolldown doubleflat)
    (50 doubleleftbarbup doublesharp)
    (-50 doubleleftbarbdown doubleflat)
    (51 barbandarcup doublesharp)
    (-51 barbandarcdown doubleflat)
    (52 doublebarbup doublesharp)
    (-52 doublebarbdown doubleflat)
    (53 doublearcup doublesharp)
    (-53 doublearcdown doubleflat)
    (54 arcandbarbup doublesharp)
    (-54 arcandbarbdown doubleflat)
)

sagittalMetrics = #'(
    (sagittalspace 32 (0.000 . 0.000) 0.000 . 0.000)
    (doubleflat 33 (0.000 . 1.675) -0.558 . 1.263)
    (coupersesquiflat 34 (-0.029 . 1.454) -0.585 . 1.263)
    (flat 35 (0.000 . 0.782) -0.558 . 1.263)
    (coupersemiflat 36 (-0.029 . 0.561) -0.585 . 1.263)
    (wilsonminus 37 (0.000 . 1.007) -0.558 . 0.558)
    (sagittalgrave 38 (0.000 . 0.446) -0.375 . 0.000)
    (shaftdown 39 (0.000 . 0.114) -0.516 . 1.080)
    (doublebarbexdown 40 (0.000 . 1.675) -0.516 . 1.080)
    (arcandboathookexdown 41 (0.000 . 1.564) -0.516 . 1.080)
    (barbandarcexdown 42 (0.000 . 1.454) -0.516 . 1.080)
    (leftscrolldoubleleftbarbexdown 43 (0.000 . 1.564) -0.516 . 1.080)
    (doubleleftbarbexdown 44 (0.000 . 1.564) -0.516 . 1.080)
    (boathookandbarbexdown 45 (0.000 . 1.675) -0.516 . 1.080)
    (arcandscrollexdown 46 (0.000 . 1.564) -0.516 . 1.080)
    (barbandboathookexdown 47 (0.000 . 1.454) -0.516 . 1.080)
    (boathookandarcexdown 48 (0.000 . 1.454) -0.516 . 1.080)
    (leftarcexdown 49 (0.000 . 1.454) -0.516 . 1.080)
    (rightbarbexdown 50 (0.000 . 1.454) -0.516 . 1.080)
    (scrollandarcexdown 51 (0.000 . 1.339) -0.516 . 1.080)
    (rightarcexdown 52 (0.000 . 1.339) -0.516 . 1.080)
    (leftscrollandbarbexdown 53 (0.000 . 1.339) -0.516 . 1.080)
    (leftbarbexdown 54 (0.000 . 1.339) -0.516 . 1.080)
    (scrollandboathookexdown 55 (0.000 . 1.339) -0.516 . 1.080)
    (doubleleftboathookexdown 56 (0.000 . 1.339) -0.516 . 1.080)
    (rightboathookexdown 57 (0.000 . 1.454) -0.516 . 1.080)
    (boathookandscrollexdown 58 (0.000 . 1.454) -0.516 . 1.080)
    (leftscrollandboathookexdown 59 (0.000 . 1.339) -0.516 . 1.080)
    (doublescrollexdown 60 (0.000 . 1.454) -0.516 . 1.080)
    (leftscrolldblrightbarbtrpldown 61 (0.000 . 1.786) -0.516 . 1.080)
    (arcandbarbtripledown 62 (0.000 . 1.786) -0.516 . 1.080)
    (doublerightbarbtripledown 63 (0.000 . 1.564) -0.516 . 1.080)
    (doublearctripledown 64 (0.000 . 1.675) -0.516 . 1.080)
    (rightbarbandarctripledown 65 (0.000 . 1.454) -0.516 . 1.080)
    (leftscrolldoublebarbtripledown 66 (0.000 . 1.675) -0.516 . 1.080)
    (leftarcandbarbtripledown 67 (0.000 . 1.339) -0.516 . 1.080)
    (doublebarbtripledown 68 (0.000 . 1.675) -0.516 . 1.080)
    (arcandboathooktripledown 69 (0.000 . 1.564) -0.516 . 1.080)
    (barbandarctripledown 70 (0.000 . 1.454) -0.516 . 1.080)
    (leftscrolldblleftbarbtripledown 71 (0.000 . 1.339) -0.516 . 1.080)
    (doubleleftbarbtripledown 72 (0.000 . 1.339) -0.516 . 1.080)
    (boathookandbarbtripledown 73 (0.000 . 1.675) -0.516 . 1.080)
    (arcandscrolltripledown 74 (0.000 . 1.564) -0.516 . 1.080)
    (barbandboathooktripledown 75 (0.000 . 1.454) -0.516 . 1.080)
    (boathookandarctripledown 76 (0.000 . 1.454) -0.516 . 1.080)
    (leftarctripledown 77 (0.000 . 1.229) -0.516 . 1.080)
    (rightbarbtripledown 78 (0.000 . 1.229) -0.516 . 1.080)
    (scrollandarctripledown 79 (0.000 . 1.339) -0.516 . 1.080)
    (rightarctripledown 80 (0.000 . 1.118) -0.516 . 1.080)
    (leftscrollandbarbtripledown 81 (0.000 . 1.118) -0.516 . 1.080)
    (leftbarbtripledown 82 (0.000 . 1.118) -0.516 . 1.080)
    (scrollandboathooktripledown 83 (0.000 . 1.339) -0.516 . 1.080)
    (doubleleftboathooktripledown 84 (0.000 . 1.118) -0.516 . 1.080)
    (rightboathooktripledown 85 (0.000 . 1.229) -0.516 . 1.080)
    (boathookandscrolltripledown 86 (0.000 . 1.454) -0.516 . 1.080)
    (leftscrollandboathooktripledown 87 (0.000 . 1.118) -0.516 . 1.080)
    (doublescrolltripledown 88 (0.000 . 1.454) -0.516 . 1.080)
    (leftboathooktripledown 89 (0.000 . 1.118) -0.516 . 1.080)
    (rightscrolltripledown 90 (0.000 . 1.118) -0.516 . 1.080)
    (leftscrolltripledown 91 (0.000 . 1.007) -0.516 . 1.080)
    (doublebarbdoubledown 92 (0.000 . 1.454) -0.516 . 1.080)
    (arcandboathookdoubledown 93 (0.000 . 1.454) -0.516 . 1.080)
    (barbandarcdoubledown 94 (0.000 . 1.229) -0.516 . 1.080)
    (leftscrolldblleftbarbdoubledown 95 (0.000 . 1.118) -0.516 . 1.080)
    (doubleleftbarbdoubledown 96 (0.000 . 1.118) -0.516 . 1.080)
    (boathookandbarbdoubledown 97 (0.000 . 1.454) -0.516 . 1.080)
    (arcandscrolldoubledown 98 (0.000 . 1.339) -0.516 . 1.080)
    (barbandboathookdoubledown 99 (0.000 . 1.339) -0.516 . 1.080)
    (boathookandarcdoubledown 100 (0.000 . 1.229) -0.516 . 1.080)
    (leftarcdoubledown 101 (0.000 . 1.007) -0.516 . 1.080)
    (rightbarbdoubledown 102 (0.000 . 1.007) -0.516 . 1.080)
    (scrollandarcdoubledown 103 (0.000 . 1.118) -0.516 . 1.080)
    (rightarcdoubledown 104 (0.000 . 0.893) -0.516 . 1.080)
    (leftscrollandbarbdoubledown 105 (0.000 . 0.893) -0.516 . 1.080)
    (leftbarbdoubledown 106 (0.000 . 0.893) -0.516 . 1.080)
    (scrollandboathookdoubledown 107 (0.000 . 1.229) -0.516 . 1.080)
    (doubleleftboathookdoubledown 108 (0.000 . 0.893) -0.516 . 1.080)
    (rightboathookdoubledown 109 (0.000 . 1.007) -0.516 . 1.080)
    (boathookandscrolldoubledown 110 (0.000 . 1.229) -0.516 . 1.080)
    (leftscrollandboathookdoubledown 111 (0.000 . 0.893) -0.516 . 1.080)
    (doublescrolldoubledown 112 (0.000 . 1.229) -0.516 . 1.080)
    (leftscrolldoublerightbarbdown 113 (0.000 . 1.564) -0.516 . 1.080)
    (arcandbarbdown 114 (0.000 . 1.339) -0.516 . 1.080)
    (doublerightbarbdown 115 (0.000 . 1.118) -0.516 . 1.080)
    (doublearcdown 116 (0.000 . 1.229) -0.516 . 1.080)
    (rightbarbandarcdown 117 (0.000 . 1.007) -0.516 . 1.080)
    (leftscrollanddoublebarbdown 118 (0.000 . 1.229) -0.516 . 1.080)
    (leftarcandbarbdown 119 (0.000 . 0.893) -0.516 . 1.080)
    (doublebarbdown 120 (0.000 . 1.229) -0.516 . 1.080)
    (arcandboathookdown 121 (0.000 . 1.229) -0.516 . 1.080)
    (barbandarcdown 122 (0.000 . 1.007) -0.516 . 1.080)
    (leftscrollanddoubleleftbarbdown 123 (0.000 . 0.893) -0.516 . 1.080)
    (doubleleftbarbdown 124 (0.000 . 0.893) -0.516 . 1.080)
    (boathookandbarbdown 125 (0.000 . 1.229) -0.516 . 1.080)
    (arcandscrolldown 126 (0.000 . 1.118) -0.516 . 1.080)
    (barbandboathookdown 127 (0.000 . 1.118) -0.516 . 1.080)
    (boathookandarcdown 128 (0.000 . 1.007) -0.516 . 1.080)
    (leftarcdown 129 (0.000 . 0.671) -0.516 . 1.080)
    (rightbarbdown 130 (0.000 . 0.782) -0.516 . 1.080)
    (scrollandarcdown 131 (0.000 . 0.893) -0.516 . 1.080)
    (rightarcdown 132 (0.000 . 0.561) -0.516 . 1.080)
    (leftscrollandbarbdown 133 (0.000 . 0.561) -0.516 . 1.080)
    (leftbarbdown 134 (0.000 . 0.561) -0.516 . 1.080)
    (scrollandboathookdown 135 (0.000 . 1.007) -0.516 . 1.080)
    (doubleleftboathookdown 136 (0.000 . 0.671) -0.516 . 1.080)
    (rightboathookdown 137 (0.000 . 0.671) -0.516 . 1.080)
    (boathookandscrolldown 138 (0.000 . 1.007) -0.516 . 1.080)
    (leftscrollandboathookdown 139 (0.000 . 0.561) -0.516 . 1.080)
    (doublescrolldown 140 (0.000 . 0.782) -0.516 . 1.080)
    (leftboathookdown 141 (0.000 . 0.561) -0.516 . 1.080)
    (rightscrolldown 142 (0.000 . 0.561) -0.516 . 1.080)
    (leftscrolldown 143 (0.000 . 0.446) -0.516 . 1.080)
    (natural 144 (0.000 . 0.671) -1.080 . 1.080)
    (leftscrollup 145 (0.000 . 0.446) -1.080 . 0.516)
    (rightscrollup 146 (0.000 . 0.561) -1.080 . 0.516)
    (leftboathookup 147 (0.000 . 0.561) -1.080 . 0.516)
    (doublescrollup 148 (0.000 . 0.782) -1.080 . 0.516)
    (leftscrollandboathookup 149 (0.000 . 0.561) -1.080 . 0.516)
    (boathookandscrollup 150 (0.000 . 1.007) -1.080 . 0.516)
    (rightboathookup 151 (0.000 . 0.671) -1.080 . 0.516)
    (doubleleftboathookup 152 (0.000 . 0.671) -1.080 . 0.516)
    (scrollandboathookup 153 (0.000 . 1.007) -1.080 . 0.516)
    (leftbarbup 154 (0.000 . 0.561) -1.080 . 0.516)
    (leftscrollandbarbup 155 (0.000 . 0.561) -1.080 . 0.516)
    (rightarcup 156 (0.000 . 0.561) -1.080 . 0.516)
    (scrollandarcup 157 (0.000 . 0.893) -1.080 . 0.516)
    (rightbarbup 158 (0.000 . 0.782) -1.080 . 0.516)
    (leftarcup 159 (0.000 . 0.671) -1.080 . 0.516)
    (boathookandarcup 160 (0.000 . 1.007) -1.080 . 0.516)
    (barbandboathookup 161 (0.000 . 1.118) -1.080 . 0.516)
    (arcandscrollup 162 (0.000 . 1.118) -1.080 . 0.516)
    (boathookandbarbup 163 (0.000 . 1.229) -1.080 . 0.516)
    (doubleleftbarbup 164 (0.000 . 0.893) -1.080 . 0.516)
    (leftscrollanddoubleleftbarbup 165 (0.000 . 0.893) -1.080 . 0.516)
    (barbandarcup 166 (0.000 . 1.007) -1.080 . 0.516)
    (arcandboathookup 167 (0.000 . 1.229) -1.080 . 0.516)
    (doublebarbup 168 (0.000 . 1.229) -1.080 . 0.516)
    (leftarcandbarbup 169 (0.000 . 0.893) -1.080 . 0.516)
    (leftscrollanddoublebarbup 170 (0.000 . 1.229) -1.080 . 0.516)
    (rightbarbandarcup 171 (0.000 . 1.007) -1.080 . 0.516)
    (doublearcup 172 (0.000 . 1.229) -1.080 . 0.516)
    (doublerightbarbup 173 (0.000 . 1.118) -1.080 . 0.516)
    (arcandbarbup 174 (0.000 . 1.339) -1.080 . 0.516)
    (leftscrolldoublerightbarbup 175 (0.000 . 1.564) -1.080 . 0.516)
    (doublescrolldoubleup 176 (0.000 . 1.229) -1.080 . 0.516)
    (leftscrollandboathookdoubleup 177 (0.000 . 0.893) -1.080 . 0.516)
    (boathookandscrolldoubleup 178 (0.000 . 1.229) -1.080 . 0.516)
    (rightboathookdoubleup 179 (0.000 . 1.007) -1.080 . 0.516)
    (doubleleftboathookdoubleup 180 (0.000 . 0.893) -1.080 . 0.516)
    (scrollandboathookdoubleup 181 (0.000 . 1.229) -1.080 . 0.516)
    (leftbarbdoubleup 182 (0.000 . 0.893) -1.080 . 0.516)
    (leftscrollandbarbdoubleup 183 (0.000 . 0.893) -1.080 . 0.516)
    (rightarcdoubleup 184 (0.000 . 0.893) -1.080 . 0.516)
    (scrollandarcdoubleup 185 (0.000 . 1.118) -1.080 . 0.516)
    (rightbarbdoubleup 186 (0.000 . 1.007) -1.080 . 0.516)
    (leftarcdoubleup 187 (0.000 . 1.007) -1.080 . 0.516)
    (boathookandarcdoubleup 188 (0.000 . 1.229) -1.080 . 0.516)
    (barbandboathookdoubleup 189 (0.000 . 1.339) -1.080 . 0.516)
    (arcandscrolldoubleup 190 (0.000 . 1.339) -1.080 . 0.516)
    (boathookandbarbdoubleup 191 (0.000 . 1.454) -1.080 . 0.516)
    (doubleleftbarbdoubleup 192 (0.000 . 1.118) -1.080 . 0.516)
    (leftscrolldblleftbarbdoubleup 193 (0.000 . 1.118) -1.080 . 0.516)
    (barbandarcdoubleup 194 (0.000 . 1.229) -1.080 . 0.516)
    (arcandboathookdoubleup 195 (0.000 . 1.454) -1.080 . 0.516)
    (doublebarbdoubleup 196 (0.000 . 1.454) -1.080 . 0.516)
    (leftscrolltripleup 197 (0.000 . 1.007) -1.080 . 0.516)
    (rightscrolltripleup 198 (0.000 . 1.118) -1.080 . 0.516)
    (leftboathooktripleup 199 (0.000 . 1.118) -1.080 . 0.516)
    (doublescrolltripleup 200 (0.000 . 1.454) -1.080 . 0.516)
    (leftscrollandboathooktripleup 201 (0.000 . 1.118) -1.080 . 0.516)
    (boathookandscrolltripleup 202 (0.000 . 1.454) -1.080 . 0.516)
    (rightboathooktripleup 203 (0.000 . 1.229) -1.080 . 0.516)
    (doubleleftboathooktripleup 204 (0.000 . 1.118) -1.080 . 0.516)
    (scrollandboathooktripleup 205 (0.000 . 1.339) -1.080 . 0.516)
    (leftbarbtripleup 206 (0.000 . 1.118) -1.080 . 0.516)
    (leftscrollandbarbtripleup 207 (0.000 . 1.118) -1.080 . 0.516)
    (rightarctripleup 208 (0.000 . 1.118) -1.080 . 0.516)
    (scrollandarctripleup 209 (0.000 . 1.339) -1.080 . 0.516)
    (rightbarbtripleup 210 (0.000 . 1.229) -1.080 . 0.516)
    (leftarctripleup 211 (0.000 . 1.229) -1.080 . 0.516)
    (boathookandarctripleup 212 (0.000 . 1.454) -1.080 . 0.516)
    (barbandboathooktripleup 213 (0.000 . 1.454) -1.080 . 0.516)
    (arcandscrolltripleup 214 (0.000 . 1.564) -1.080 . 0.516)
    (boathookandbarbtripleup 215 (0.000 . 1.675) -1.080 . 0.516)
    (doubleleftbarbtripleup 216 (0.000 . 1.339) -1.080 . 0.516)
    (leftscrolldblleftbarbtripleup 217 (0.000 . 1.339) -1.080 . 0.516)
    (barbandarctripleup 218 (0.000 . 1.454) -1.080 . 0.516)
    (arcandboathooktripleup 219 (0.000 . 1.564) -1.080 . 0.516)
    (doublebarbtripleup 220 (0.000 . 1.675) -1.080 . 0.516)
    (leftarcandbarbtripleup 221 (0.000 . 1.339) -1.080 . 0.516)
    (leftscrolldoublebarbtripleup 222 (0.000 . 1.675) -1.080 . 0.516)
    (rightbarbandarctripleup 223 (0.000 . 1.454) -1.080 . 0.516)
    (doublearctripleup 224 (0.000 . 1.675) -1.080 . 0.516)
    (doublerightbarbtripleup 225 (0.000 . 1.564) -1.080 . 0.516)
    (arcandbarbtripleup 226 (0.000 . 1.786) -1.080 . 0.516)
    (leftscrolldblrightbarbtrplup 227 (0.000 . 1.786) -1.080 . 0.516)
    (doublescrollexup 228 (0.000 . 1.454) -1.080 . 0.516)
    (leftscrollandboathookexup 229 (0.000 . 1.339) -1.080 . 0.516)
    (boathookandscrollexup 230 (0.000 . 1.454) -1.080 . 0.516)
    (rightboathookexup 231 (0.000 . 1.454) -1.080 . 0.516)
    (doubleleftboathookexup 232 (0.000 . 1.339) -1.080 . 0.516)
    (scrollandboathookexup 233 (0.000 . 1.339) -1.080 . 0.516)
    (leftbarbexup 234 (0.000 . 1.339) -1.080 . 0.516)
    (leftscrollandbarbexup 235 (0.000 . 1.339) -1.080 . 0.516)
    (rightarcexup 236 (0.000 . 1.339) -1.080 . 0.516)
    (scrollandarcexup 237 (0.000 . 1.339) -1.080 . 0.516)
    (rightbarbexup 238 (0.000 . 1.454) -1.080 . 0.516)
    (leftarcexup 239 (0.000 . 1.454) -1.080 . 0.516)
    (boathookandarcexup 240 (0.000 . 1.454) -1.080 . 0.516)
    (barbandboathookexup 241 (0.000 . 1.454) -1.080 . 0.516)
    (arcandscrollexup 242 (0.000 . 1.564) -1.080 . 0.516)
    (boathookandbarbexup 243 (0.000 . 1.675) -1.080 . 0.516)
    (doubleleftbarbexup 244 (0.000 . 1.564) -1.080 . 0.516)
    (leftscrolldoubleleftbarbexup 245 (0.000 . 1.564) -1.080 . 0.516)
    (barbandarcexup 246 (0.000 . 1.454) -1.080 . 0.516)
    (arcandboathookexup 247 (0.000 . 1.564) -1.080 . 0.516)
    (doublebarbexup 248 (0.000 . 1.675) -1.080 . 0.516)
    (shaftup 249 (0.000 . 0.114) -1.080 . 0.516)
    (sagittalacute 250 (0.000 . 0.446) 0.000 . 0.375)
    (wilsonplus 251 (0.000 . 1.007) -0.612 . 0.612)
    (tartinisemisharp 252 (0.000 . 0.561) -0.987 . 0.987)
    (sharp 253 (0.000 . 0.782) -1.080 . 1.080)
    (tartinisesquisharp 254 (0.000 . 1.229) -1.080 . 1.080)
    (doublesharp 255 (0.000 . 1.229) -0.516 . 0.516)
)

% Allow the Sagittal font to come from the current directory
#(ly:font-config-add-directory ".")
