% Initialization for tripod notation
% converts the alternative semitoe shifts to inch shifts
\include "tripod-data.ly"

tuning = #72

% name degree semitoes inches
planarNamesAsInches = #'(
    (yaf -1 2 1) (yas 2 -1 -1)
    (ef 2 1 1)  (es 4 -1 -1)
    (tef 2 1 1) (tes 4 -1 -1)
    (mef 3 1 1) (mes 5 -1 -1)
    (puf 4 1 1) (pis 6 -1 -1)
    (sef 5 1 1) (ses 7 -1 -1)
    (lef 6 1 1) (les 8 -1 -1)
    (hof 7 1 1) (hos 9 -1 -1)
    (dof 8 1 1) (dos 11 -2 -1)
)

% replace names with inch alternatives
planarNames = #(apply-warts (map
    (lambda (name)
        (let ((inch-name (assoc (car name) planarNamesAsInches)))
            (if inch-name
                (list (car inch-name) (cadr inch-name)
                    (caddr inch-name) 0 (caddr inch-name) 0)
                name)))
    tripodNames))

tripodStrings = #(make-planar-strings tuning)

% different for magic temperaments
didymusStrings = \tripodStrings

tripodGlyphs = \sixthGlyphs

\include "tripod-setup.ly"
